Bug 431371 - Review Request: gyachi - A Yahoo! chat client with Webcam and voice support
Review Request: gyachi - A Yahoo! chat client with Webcam and voice support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-03 13:29 EST by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 21:08:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
fix for compile problem on non-x86 platforms (2.09 KB, patch)
2008-02-05 01:34 EST, Greg Hosler
no flags Details | Diff

  None (edit)
Description Rahul Sundaram 2008-02-03 13:29:26 EST
Spec URL: http://sundaram.fedorapeople.org/packages/gyachi.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/gyachi-1.1.0-3.fc8.src.rpm
Description: 
GYachI is a Linux client for Yahoo! Messenger protocol, written using GTK+ GUI toolkit. This package includes both the external voice chat program, GYVoice, and the external webcam program, GyachI-Webcam. 

In addition, this package includes GyachI-Broadcaster for sending webcam streams.
Comment 1 Parag AN(पराग) 2008-02-04 00:59:04 EST
I think good to have all plugins requires main package as
Requires: %{name} = %{version}-%{release}  

Good to add following files to %doc
ChangeLog doc/KNOWN_PROBLEMS-gyvoice.txt doc/KNOWN_PROBLEMS.txt doc/txt/COPYING
 doc/html/gyachi-help.html 

Source URL should be =>
  http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Comment 3 Mamoru TASAKA 2008-02-04 02:34:54 EST
I hope someone else would review this ticket, however:
- does not build
  http://koji.fedoraproject.org/koji/taskinfo?taskID=394014
  http://koji.fedoraproject.org/koji/taskinfo?taskID=394020
  You can check this by koji scratch build.
- Please check directory ownership issue.
Comment 4 Parag AN(पराग) 2008-02-04 03:37:42 EST
Rahul,
   Considering above koji build failed, you can try to add 
ExcludeArch: ppc ppc64 x86_64
Comment 5 Dennis Gilmore 2008-02-04 03:49:12 EST
(In reply to comment #4)
> Rahul,
>    Considering above koji build failed, you can try to add 
> ExcludeArch: ppc ppc64 x86_64

That is never the right answer.  ever.  please fix it on all arches  not
excluding most
Comment 6 Parag AN(पराग) 2008-02-04 03:55:23 EST
(In reply to comment #5)
> (In reply to comment #4)
> > Rahul,
> >    Considering above koji build failed, you can try to add 
> > ExcludeArch: ppc ppc64 x86_64
> 
> That is never the right answer.  ever.  please fix it on all arches  not
> excluding most

  Sorry. I saw some packages with ExcludeArch in Fedora, so I thought we can do
same here also. Thanks for your quick reply here.
Comment 7 Rahul Sundaram 2008-02-04 04:01:28 EST
Dennis Gilmore, This package simply doesn't build on these architectures. I have
cc'ed the upstream maintainer who should be aware of this. 

Added ExcludeArch's for now if that helps move the review forward. 

http://sundaram.fedorapeople.org/packages/gyachi.spec
http://sundaram.fedorapeople.org/packages/gyachi-1.1.0-5.fc8.src.rpm
Comment 8 Rahul Sundaram 2008-02-04 04:32:08 EST
Koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=394110
Comment 9 Greg Hosler 2008-02-05 01:34:44 EST
Created attachment 293980 [details]
fix for compile problem on non-x86 platforms
Comment 10 Greg Hosler 2008-02-05 01:36:42 EST
I have created a patch (attached) which *should* address the non-x86 build
problem. I specifically only addressed ppc64 ppc x86_64, but extending this to
any other architecture is (at this point) a really trivial matter.

I say "*should*" as I do not have a ppc/etc machine to physically test on.
However, I extended the arch list to i386 (temporarily, for testing purposes
only), and I got the desired result (the files which will fail, don't compile).

See attachment (id=293980)

-Greg
Comment 11 Rahul Sundaram 2008-02-05 04:23:26 EST
Greg, Thanks for the patch. I managed to get it build across all the
architectures with this patch applied. Unfortunate that other arch's besides x86
wont get voice support though. 

Revised spec and SRPM:

http://sundaram.fedorapeople.org/packages/gyachi.spec
http://sundaram.fedorapeople.org/packages/gyachi-1.1.0-6.fc8.src.rpm

Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=396129
Comment 12 Mamoru TASAKA 2008-02-05 04:43:12 EST
Please check directory ownership issue.
For example, %_datadir/%name is not owned by any package.
Comment 13 Parag AN(पराग) 2008-02-05 05:35:51 EST
will review this.
I suggest replacing %files section of gyachi to
=====================================================================
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ABOUT-NLS ChangeLog doc/KNOWN_PROBLEMS-gyvoice.txt doc/KNOWN_PROBLEMS.txt
doc/txt/COPYING doc/html/gyachi-help.html
%{_bindir}/%{name}*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}-*
%dir %{_libdir}/%{name}/plugins
=======================================================================

And remove
ExcludeArch line from SPEC.
Comment 14 Parag AN(पराग) 2008-02-05 05:42:58 EST
Also, Good to preserve timestamps by replacing make install command as given below
==============================================================
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
==============================================================
Comment 16 Parag AN(पराग) 2008-02-06 01:57:15 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=398197
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
f833c873da22fe857d9a5edd3c0e9922  gyachi-1.1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists But -plugins subpackages exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file installed correctly
+ GUI app.

SHOULD:
   Remove ExcludeArch line from SPEC.

APPROVED.
Comment 17 Rahul Sundaram 2008-02-06 10:11:31 EST
New Package CVS Request
=======================
Package Name: gyachi
Short Description:  A Yahoo! chat client with Webcam and voice support
Owners:  sundaram ghosler
Branches:  F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: Yes

Note on this CVS request. Gregory Hosler is the primary upstream developer and I
would like to have his as the co-maintainer of this package. I am not sure how
to deal with the sponsorship process in this case. Any guidance on this would be
useful. 
Comment 18 Kevin Fenzi 2008-02-06 12:28:15 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.